;******************************************************************************
;* TMS320C6x ANSI C Codegen                                      Version 4.10 *
;* Date/Time created: Mon Jan 28 20:20:47 2002                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Small                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.file	"dss.c"

	.sect	".cinit:c"
	.align	8
	.field  	(CIR - $) - 8, 32
	.field  	_DSS_error+0,32
	.field  	0,32			; _DSS_error @ 0
	.sect	".text"
	.global	_DSS_error
_DSS_error:	.usect	".bss:c",4,4
	.sym	_DSS_error,_DSS_error, 4, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _DSS_rxCnt @ 0
	.sect	".text"
	.global	_DSS_rxCnt
_DSS_rxCnt:	.usect	".bss:c",4,4
	.sym	_DSS_rxCnt,_DSS_rxCnt, 4, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _DSS_txCnt @ 0
	.sect	".text"
	.global	_DSS_txCnt
_DSS_txCnt:	.usect	".bss:c",4,4
	.sym	_DSS_txCnt,_DSS_txCnt, 4, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _DSS_rxPtr @ 0
	.sect	".text"
	.global	_DSS_rxPtr
_DSS_rxPtr:	.usect	".bss:c",4,4
	.sym	_DSS_rxPtr,_DSS_rxPtr, 18, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _DSS_txPtr @ 0
	.sect	".text"
	.global	_DSS_txPtr
_DSS_txPtr:	.usect	".bss:c",4,4
	.sym	_DSS_txPtr,_DSS_txPtr, 18, 2, 32

	.sect	".cinit:c"
	.align	4
	.field  	1,32			; _delay$1 @ 0
	.sect	".text"
_delay$1:	.usect	".bss:c",4,4
	.sym	_delay,_delay$1, 4, 3, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _nested$2 @ 0
	.sect	".text"
_nested$2:	.usect	".bss:c",4,4
	.sym	_nested,_nested$2, 4, 3, 32

	.sect	".cinit:c"
	.align	4
	.field  	0,32			; _nested$3 @ 0
	.sect	".text"
_nested$3:	.usect	".bss:c",4,4
	.sym	_nested,_nested$3, 4, 3, 32
;	c:\ti\c6000\cgtools\bin\opt6x.exe -v6710 -O3 C:\DOCUME~1\pd\LOCALS~1\Temp\TI1528_2 C:\DOCUME~1\pd\LOCALS~1\Temp\TI1528_4 
	.sect	".text"
	.global	_DSS_txPrime
	.sym	_DSS_txPrime,_DSS_txPrime, 32, 2, 0
	.func	34

;******************************************************************************
;* FUNCTION NAME: _DSS_txPrime                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_DSS_txPrime:
;** --------------------------------------------------------------------------*
	.line	2
           STW     .D2T2   B3,*SP--(8)       ; |35| 
	.line	7
           LDW     .D2T2   *+DP(_nested$2),B0 ; |40| 
           NOP             4
   [ B0]   B       .S1     L3                ; |40| 
           NOP             5
           ; BRANCH OCCURS                   ; |40| 
;** --------------------------------------------------------------------------*
	.line	11
           LDW     .D2T2   *+DP(_delay$1),B0 ; |44| 
           NOP             4
   [ B0]   B       .S1     L2                ; |44| 
           NOP             5
           ; BRANCH OCCURS                   ; |44| 
;** --------------------------------------------------------------------------*
	.line	16
           MVK     .S1     1,A0              ; |49| 
           STW     .D2T1   A0,*+DP(_nested$2) ; |49| 
	.line	18
           LDW     .D2T2   *+DP(_DSS_txCnt),B0 ; |51| 
           NOP             4
   [ B0]   B       .S1     L1                ; |51| 
           MVKL    .S2     _DSS_txPipe+24,B4 ; |51| 
           MVKH    .S2     _DSS_txPipe+24,B4 ; |51| 
   [!B0]   LDW     .D2T2   *B4,B0            ; |51| 
           NOP             2
           ; BRANCH OCCURS                   ; |51| 
;** --------------------------------------------------------------------------*
           NOP             2
   [!B0]   B       .S1     L1                ; |51| 
   [ B0]   MVKL    .S2     _DSS_txPipe,B4    ; |51| 
   [ B0]   MVKH    .S2     _DSS_txPipe,B4    ; |51| 
   [ B0]   MV      .S1X    B4,A4             ; |51| 
           NOP             2
           ; BRANCH OCCURS                   ; |51| 
;** --------------------------------------------------------------------------*
	.line	20
           B       .S1     _PIP_get          ; |53| 
           MVKL    .S2     RL0,B3            ; |53| 
           MVKH    .S2     RL0,B3            ; |53| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |53| 
	.line	22
           MVKL    .S2     _DSS_txPipe+8,B4  ; |55| 
           MVKH    .S2     _DSS_txPipe+8,B4  ; |55| 
           LDW     .D2T2   *B4,B4            ; |55| 
           NOP             4
           STW     .D2T2   B4,*+DP(_DSS_txPtr) ; |55| 
	.line	23
           MVKL    .S1     _DSS_txPipe+12,A0 ; |56| 
           MVKH    .S1     _DSS_txPipe+12,A0 ; |56| 
           LDW     .D1T1   *A0,A0            ; |56| 
           NOP             4
           STW     .D2T1   A0,*+DP(_DSS_txCnt) ; |56| 
;** --------------------------------------------------------------------------*
L1:    
	.line	26
           B       .S1     L3                ; |59| 
           ZERO    .D2     B4                ; |59| 
           STW     .D2T2   B4,*+DP(_nested$2) ; |59| 
           NOP             3
           ; BRANCH OCCURS                   ; |59| 
;** --------------------------------------------------------------------------*
L2:    
	.line	12
           LDW     .D2T2   *+DP(_delay$1),B4 ; |45| 
           NOP             4
           SUB     .D2     B4,1,B4           ; |45| 
           STW     .D2T2   B4,*+DP(_delay$1) ; |45| 
;** --------------------------------------------------------------------------*
L3:    
	.line	27
           LDW     .D2T2   *++SP(8),B3       ; |60| 
           NOP             4
           B       .S2     B3                ; |60| 
           NOP             5
           ; BRANCH OCCURS                   ; |60| 
	.endfunc	60,000080000h,8


	.sect	".text"
	.global	_DSS_rxPrime
	.sym	_DSS_rxPrime,_DSS_rxPrime, 32, 2, 0
	.func	65

;******************************************************************************
;* FUNCTION NAME: _DSS_rxPrime                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_DSS_rxPrime:
;** --------------------------------------------------------------------------*
	.line	2
           STW     .D2T2   B3,*SP--(8)       ; |66| 
	.line	6
           LDW     .D2T2   *+DP(_nested$3),B0 ; |70| 
           NOP             4
   [ B0]   B       .S1     L5                ; |70| 
           NOP             5
           ; BRANCH OCCURS                   ; |70| 
;** --------------------------------------------------------------------------*
	.line	10
           MVK     .S1     1,A0              ; |74| 
           STW     .D2T1   A0,*+DP(_nested$3) ; |74| 
	.line	12
           LDW     .D2T2   *+DP(_DSS_rxCnt),B0 ; |76| 
           NOP             4
   [ B0]   B       .S1     L4                ; |76| 
           MVKL    .S2     _DSS_rxPipe+72,B4 ; |76| 
           MVKH    .S2     _DSS_rxPipe+72,B4 ; |76| 
   [!B0]   LDW     .D2T2   *B4,B0            ; |76| 
           NOP             2
           ; BRANCH OCCURS                   ; |76| 
;** --------------------------------------------------------------------------*
           NOP             2
   [!B0]   B       .S1     L4                ; |76| 
   [ B0]   MVKL    .S2     _DSS_rxPipe,B4    ; |76| 
   [ B0]   MVKH    .S2     _DSS_rxPipe,B4    ; |76| 
   [ B0]   MV      .S1X    B4,A4             ; |76| 
           NOP             2
           ; BRANCH OCCURS                   ; |76| 
;** --------------------------------------------------------------------------*
	.line	13
           B       .S1     _PIP_alloc        ; |77| 
           MVKL    .S2     RL2,B3            ; |77| 
           MVKH    .S2     RL2,B3            ; |77| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |77| 
	.line	14
           MVKL    .S2     _DSS_rxPipe+56,B4 ; |78| 
           MVKH    .S2     _DSS_rxPipe+56,B4 ; |78| 
           LDW     .D2T2   *B4,B4            ; |78| 
           NOP             4
           STW     .D2T2   B4,*+DP(_DSS_rxPtr) ; |78| 
	.line	15
           MVKL    .S1     _DSS_rxPipe+60,A0 ; |79| 
           MVKH    .S1     _DSS_rxPipe+60,A0 ; |79| 
           LDW     .D1T1   *A0,A0            ; |79| 
           NOP             4
           STW     .D2T1   A0,*+DP(_DSS_rxCnt) ; |79| 
;** --------------------------------------------------------------------------*
L4:    
	.line	18
           ZERO    .D2     B4                ; |82| 
           STW     .D2T2   B4,*+DP(_nested$3) ; |82| 
;** --------------------------------------------------------------------------*
L5:    
	.line	19
           LDW     .D2T2   *++SP(8),B3       ; |83| 
           NOP             4
           B       .S2     B3                ; |83| 
           NOP             5
           ; BRANCH OCCURS                   ; |83| 
	.endfunc	83,000080000h,8


;******************************************************************************
;* MARK THE END OF THE SCALAR INIT RECORD IN CINIT:C                          *
;******************************************************************************
CIR:	.sect	".cinit:c"
;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_PIP_alloc
	.global	_PIP_get
	.global	_DSS_rxPipe
	.global	_DSS_txPipe

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
	.sym	_Int, 0, 4, 13, 32
	.sym	_Fxn, 0, 148, 13, 32
	.sym	_Arg, 0, 4, 13, 32
	.sym	_LgInt, 0, 4, 13, 32
	.sym	_Uns, 0, 14, 13, 32
	.sym	_Ptr, 0, 16, 13, 32
	.stag	_FXN_Obj, 96
	.member	_fxn, 0, 148, 8, 32
	.member	_arg1, 32, 4, 8, 32
	.member	_arg0, 64, 4, 8, 32
	.eos
	.sym	_FXN_Obj, 0, 8, 13, 96,_FXN_Obj
	.stag	_STS_Obj, 96
	.member	_num, 0, 4, 8, 32
	.member	_acc, 32, 4, 8, 32
	.member	_max, 64, 4, 8, 32
	.eos
	.sym	_STS_Obj, 0, 8, 13, 96,_STS_Obj
	.stag	_PIP_Obj, 800
	.member	_threshold, 0, 14, 8, 32
	.member	_preaderTakeProbe, 32, 24, 8, 32, _PIP_Obj
	.member	_readerAddr, 64, 16, 8, 32
	.member	_readerSize, 96, 14, 8, 32
	.member	_readerCurdesc, 128, 16, 8, 32
	.member	_pnotifyReader, 160, 24, 8, 32, _FXN_Obj
	.member	_readerNumFrames, 192, 14, 8, 32
	.member	_preaderGiveProbe, 224, 24, 8, 32, _PIP_Obj
	.member	_pwriterNumFrames, 256, 30, 8, 32
	.member	_notifyWriter, 288, 8, 8, 96, _FXN_Obj
	.member	_preaderSts, 384, 24, 8, 32, _STS_Obj
	.member	_pwriterTakeProbe, 416, 24, 8, 32, _PIP_Obj
	.member	_writerAddr, 448, 16, 8, 32
	.member	_writerSize, 480, 14, 8, 32
	.member	_writerCurdesc, 512, 16, 8, 32
	.member	_pnotifyWriter, 544, 24, 8, 32, _FXN_Obj
	.member	_writerNumFrames, 576, 14, 8, 32
	.member	_pwriterGiveProbe, 608, 24, 8, 32, _PIP_Obj
	.member	_preaderNumFrames, 640, 30, 8, 32
	.member	_notifyReader, 672, 8, 8, 96, _FXN_Obj
	.member	_pwriterSts, 768, 24, 8, 32, _STS_Obj
	.eos
	.sym	_PIP_Obj, 0, 8, 13, 800,_PIP_Obj
	.sym	_PIP_Handle, 0, 24, 13, 32,_PIP_Obj
	.sym	_Char, 0, 2, 13, 8
