/****************************************************************
 * File name: speakercomp.c										*
 *																*
 * Date: 2002-03-22												*
 *																*
 * Description:													*
 *																*
 ****************************************************************/
 
#include <std.h>

#include <pip.h>    
#include <swi.h>
#include <log.h>

#include <trc.h>


/* The following external objects are defined in the config file audio.cdb */
extern far LOG_Obj trace;           /* application printf() log */ 

extern Void DSS_init(Void);     /* Initialize serial port */

/****************************************
 *  			main					*
 ****************************************/
Void main()
{
    DSS_init();             
}

Void audio(PIP_Obj *in, PIP_Obj *out)
{
    int *src, *dst;
	int size;
	
    /* get input data and allocate output buffer */
    PIP_get(in);
    PIP_alloc(out);

    src  = PIP_getReaderAddr(in);
    dst  = PIP_getWriterAddr(out);
    size = PIP_getReaderSize(in);
    PIP_setWriterSize(out,size);
    
	
	/* copy input data to output buffer */
	while (size>0)
	{
		*dst++ = *src++;
		size--;
	}
    /* output copied or filtered data and free input buffer */
    PIP_put(out);
    PIP_free(in);
}

