/*
 *  Copyright 2000 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  U.S. Patent Nos. 5,283,900  5,392,448
 */
/* "@(#) DSP/BIOS 4.00 09-15-00 (barracuda-e16)" */
/*
 *  ======== dss.h ========
 */

#ifndef DSS_
#define DSS_

#include <pip.h>

extern Int	DSS_error;	/* error mask */

/*
 * these two pipe *must be* defined in your configuration
 */
extern far PIP_Obj  DSS_rxPipe;
extern far PIP_Obj  DSS_txPipe;

/*
 * the following are defined in dss.c
 */
#if defined (_62_)
extern Int *DSS_rxPtr;
extern Int *DSS_txPtr;
#else
extern Char *DSS_rxPtr;
extern Char *DSS_txPtr;
#endif

extern Int      DSS_rxCnt;
extern Int      DSS_txCnt;


#endif
